Subject: I-D ACTION:draft-ietf-ospf-scalability-01.txt

From: [email-masked]
Date: Fri, 26 Apr 2002 08:14:23 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Open Shortest Path First IGP Working Group of the IETF.

        Title           : Explicit Marking and Prioritized Treatment of Specific
                          IGP Packets for Faster IGP Convergence and Improved
                          Network Scalability and Stability
        Author(s)       : G. Choudhury, V. Sapozhnikova
        Filename        : draft-ietf-ospf-scalability-01.txt
        Pages           :
        Date            : 25-Apr-02

In this draft we propose the following mechanisms in order to allow
fast IGP convergence and at the same time maintain scalability and
stability of a network:
(1) Explicitly mark Hello packets, to differentiate them from other
IGP packets, so that efficient implementations can detect and
process the Hello packets in a priority fashion.
(2) In the absence of special marking, or in addition to it, use
other mechanisms in order not to miss Hello packets. One example
is to treat any packet received over a link as a surrogate for
a Hello packet for the purpose of keeping the link alive.
(3) The same type of explicit marking and prioritized treatment may
be beneficial to other IGP packets as well.  Some examples
include (a) LSA acknowledgment packet, (b) Database description
(DBD) packet from a slave that is used as an acknowledgement,
and (c) LSAs carrying intra-area topology change information.
It is possible that some implementations are already using one or
more of the above mechanisms in order not to miss the processing of
critical packets during periods of congestion.  However, we suggest
the above mechanisms to be included as part of the standard so that
all implementations can benefit from them.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-ospf-scalability-01.txt

To remove yourself from the IETF Announcement list, send a message to
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
        "get draft-ietf-ospf-scalability-01.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
        [email-masked].
In the body type:
        "FILE /internet-drafts/draft-ietf-ospf-scalability-01.txt".

NOTE:   The mail server at ietf.org can return the document in
        MIME-encoded form by using the "mpack" utility.  To use this
        feature, insert the command "ENCODING mime" before the "FILE"
        command.  To decode the response(s), you will need "munpack" or
        a MIME-compliant mail reader.  Different MIME-compliant mail readers
        exhibit different behavior, especially when dealing with
        "multipart" MIME messages (i.e. documents which have been split
        up into multiple messages), so check your local documentation on
        how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.